package de.grogra.c4d;

import javax.vecmath.Vector3d;

import de.grogra.xl.query.AttributeListPattern;

public class M extends BaseObject
{
	public static class Pattern extends AttributeListPattern
	{
		public Pattern()
		{
			super(null, 1);
		}

		public static void signature (@In @Out M n, double a)
		{
		}

		@Override
		protected double getDouble(Object o, int index)
		{
			return ((M) o).getLength();
		}
	}

	public M()
	{
		this(1);
	}

	public M(double len)
	{
		super(Constants.Onull);
		setPosition(0, len, 0);
	}

	public double getLength()
	{
		Vector3d v = getPosition();
		return v.y;
	}
}
